/*
				File:		Movies Names.c
			
				Contains:	xxx put contents here xxx
			
				Written by:	xxx put writers here xxx
			
				Copyright:	 1990 by Apple Computer, Inc., all rights reserved.
			
    This file is used in these builds: Warhol

				Change History (most recent first):
			
		 <2>	 8/13/91	JB		Updated to lastest error messages
		 <1>	 9/12/90	dvb		first checked in
			
				To Do:
			*/

/* Movies Names.c
	A Movies Library

	by Jim Batson, Bruce Leak, David Van Brink
	Copyright 1990 Apple Computer, Inc. All rights reserved.
*/


/*---------------------------------*/

/* Index with "[error - firstMoviesError]" */
char *moviesErrorNames[] =
	{
	"could Not Resolve Data Ref",
	"bad Image Description",
	"bad Public Movie Atom",
	"cant Find Handler",
	"cant Open Handler",
	"bad Component Type",
	"no Media Handler",
	"no Data Handler",
	"invalid Media",
	"invalid Track",
	"invalid Movie",
	"invalid Sample Table",
	"invalid Data Ref",
	"invalid Handler",
	"invalid Duration",
	"invalid Time",
	"cant Put Public Movie Atom",
	"bad Edit List",
	"media Types Dont Match",
	"progress Proc Aborted",
	"movie Toolbox Uninitialized",
	"wffile Not Found",
	"cant Create Single Fork File",
	"invalid Edit State",
	"non Matching Edit State",
	"stale Edit State",
	"user Data Item Not Found",
	"max Size To Grow Too Small",
	"bad Track Index",
	"track ID Not Found",
	"track Not In Movie",
	"time Not In Track",
	"time Not In Media",
	"bad Edit Index",
	"internal Quick Time Error",
	"cant Enable Track",
	"invalid Rect",
	"invalid Sample Num",
	"invalid Chunk Num",
	"invalid Sample Desc Index",
	"invalid Chunk Cache",
	"invalid Sample Description",
	"data Not Open For Read",
	"data Not Open For Write",
	"data Already Open For Write",
	"data Already Closed",
	"end Of Data Reached",
	"data No Data Ref",
	"no Movie In Data Fork",
	"invalid Data Ref Container",
	"bad Data Ref Index",
	"invalid Blob",
	"invalid Component ID",
	"valid Instances Exist",
	"component Not Captured",
	"last Component Error",
	};

short moviesErrorNums[] = {
	-2000,
	-2001,
	-2002,
	-2003,
	-2004,
	-2005,
	-2006,
	-2007,
	-2008,
	-2009,
	-2010,
	-2011,
	-2012,
	-2013,
	-2014,
	-2015,
	-2016,
	-2017,
	-2018,
	-2019,
	-2020,
	-2021,
	-2022,			
	-2023,
	-2024,
	-2025,
	-2026,
	-2027,
	-2028,
	-2029,
	-2030,
	-2031,
	-2032,
	-2033,
	-2034,
	-2035,
	-2036,
	-2037,
	-2038,
	-2039,
	-2040,
	-2041,
	-2042,	
	-2043,	
	-2044,
	-2045,
	-2046,
	-2047,
	-2048,						
	-2049,
	-2050,
	-2051,
	-3000,
	-3001,
	-3002,
	-3003,
	0
	};
