
/*
	File:		SampleCompressPicture.r

	Contains:	Simple Sample resources

	Written by:	Mark Krueger

	Copyright:	 1991 by Apple Computer, Inc., all rights reserved.

    This file is used in these builds: Warhol

	Change History (most recent first):

		<1+>	  9/5/91	MK		add size resource
		 <1>	 8/16/91	MK		first checked in

*/

#include	"Types.r"






resource 'DLOG' (5002, "progress") {
	{84, 106, 153, 317},
	dBoxProc,
	invisible,
	goAway,
	0x0,
	5002,
	""
};


resource 'DITL' (5002) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{28, 25, 43, 205},
		UserItem {
			disabled
		},
		/* [2] */
		{6, 11, 22, 86},
		StaticText {
			disabled,
			"Progress:"
		}
	}
};

resource 'SIZE' (0) {
	saveScreen,
	ignoreSuspendResumeEvents,
	disableOptionSwitch,
	cannotBackground,
	needsActivateOnFGSwitch,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	reserved,
	128*1024,
	64*1024
};

