/**************************************************
*
* Definitions and equates for the Sample player
*
*  
***************************************************/

/**************************************************
*
*  Definitions for the menus
*
***************************************************/

/* resource IDs of menus */
#define appleID		128
#define fileID		129
#define editID		130
#define optionsID	131

/* Items in the Apple menu */
#define	aboutItem	1

/* Items in the file menu */
#define openItem	1
#define closeItem	2
#define	saveItem	3
#define quitItem	5

/* Items in the options menu */
#define kFullSize	1
#define kQuarterSize	2
#define kSixteenthSize	3
#define kFreeze			5
#define kUnFreeze		6
#define kGrabOneFrame	7
#define kFlipHoriz		9
#define kFlipVert		10


MenuHandle	appleMenu, fileMenu, editMenu, optionsMenu, maskMenu;

/**************************************************
*
*  Definitions for dialog boxes
*
***************************************************/

/* other resources */
#define	aboutDlgID	128		/* About box */

/**************************************************
*
*  Definitions for the windows
*
***************************************************/

WindowPtr	vdigWindow;
Rect		dragRect;
Rect		picBounds ;
Rect		picPos = {40,10, 100, 100};		/* A starting position for the window */

